Manifest that creates neutron networks 'admin_internal_net' and 'admin_floating_net' executes twice

Bug #1626927 reported by Igor Zinovik on 2016-09-23
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel NSX-T plugin
High
Igor Zinovik

Bug Description

Plugin git commit 7e1de2f57ad6db0dbda2fa82379b66b1e617cf88

puppet.log from primary controller:
...
2016-09-21 15:56:05 +0000 Scope(Class[main]) (notice): fuel-plugin-nsx-t: neutron-network-create.pp
2016-09-21 15:56:05 +0000 Puppet (notice): Compiled catalog for node-1.test.domain.local in environment production in 0.23 seconds
2016-09-21 15:56:23 +0000 /Stage[main]/Main/Neutron_network[admin_floating_net]/ensure (notice): created
2016-09-21 15:56:26 +0000 /Stage[main]/Main/Neutron_network[admin_internal_net]/ensure (notice): created
2016-09-21 15:56:33 +0000 /Stage[main]/Main/Neutron_subnet[admin_internal_net__subnet]/ensure (notice): created
2016-09-21 15:56:38 +0000 /Stage[main]/Main/Neutron_subnet[admin_floating_net__subnet]/ensure (notice): created
2016-09-21 15:56:39 +0000 Puppet (notice): Finished catalog run in 33.27 seconds
2016-09-21 15:56:44 +0000 Scope(Class[main]) (notice): fuel-plugin-nsx-t: neutron-network-create.pp
2016-09-21 15:56:44 +0000 Puppet (notice): Compiled catalog for node-1.test.domain.local in environment production in 0.19 seconds
*2016-09-21 15:56:50 +0000 Puppet (err): Property provider_network_type does not support being updated
/usr/lib/ruby/vendor_ruby/puppet/util/errors.rb:106:in `fail'

Igor Zinovik (izinovik) on 2016-09-23
Changed in fuel-plugin-nsx-t:
status: Confirmed → Triaged
status: Triaged → In Progress
Changed in fuel-plugin-nsx-t:
milestone: none → 1.0.0

Reviewed: https://review.openstack.org/376533
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-nsx-t/commit/?id=42e87317d67aaf491fe880579a4e5d7d4387d56a
Submitter: Jenkins
Branch: master

commit 42e87317d67aaf491fe880579a4e5d7d4387d56a
Author: Igor Zinovik <email address hidden>
Date: Mon Sep 26 16:10:38 2016 +0300

    Introduce execution restriction on nsx-t-neutron-network-create task

    Deployment task nsx-t-neutron-network create make two tenant networks
    that are used for OSTF checks (test launch instances in internal network
    and verify that VMs can successfulyy reach each other and external IP
    addresses).

    Root cause of the problem is that if we try to create networks twice
    (run deployment task two times) it will fail with error that
    "physical_network_type does not support being update". It is not
    possible to run this task twice, to avoid such behaviour YAQL condition
    prevents task from being run no more than one time. Task is executed
    only when 'quantum' value (which determines that Neutron is enabled for
    current environment) is changed, which should not happen during normal
    operation (it is possible to switch this setting via fuel CLI, but not
    through web UI).

    Change-Id: Idd3000cdec0ef0c990c352d2cb7814fb4743d6f2
    Closes-bug: #1626927

Changed in fuel-plugin-nsx-t:
status: In Progress → Fix Committed
Igor Zinovik (izinovik) on 2016-09-27
Changed in fuel-plugin-nsx-t:
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
Ilya Bumarskov (ibumarskov) wrote :

Bug was reproduced with NSX-t plugin 1.0.0 build#17

Changed in fuel-plugin-nsx-t:
status: Fix Committed → Confirmed
Igor Zinovik (izinovik) wrote :

Looks like a floating bug. I was not able to reproduce the issue with following scenarios:
* deploy 3 controllers simultaneously
* deploy 1 controller then add 2 controller and deploy them

I need an fuel diagnostic snapshot and scenario where bug reproduces regularly.
For now marking as Incomplete.

Changed in fuel-plugin-nsx-t:
status: Confirmed → Incomplete
Igor Zinovik (izinovik) on 2016-11-10
Changed in fuel-plugin-nsx-t:
status: Incomplete → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/396119

Changed in fuel-plugin-nsx-t:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/396119
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-nsx-t/commit/?id=a371b6312bd087c5f2d961b79a2990ec0424ecae
Submitter: Jenkins
Branch: master

commit a371b6312bd087c5f2d961b79a2990ec0424ecae
Author: Igor Zinovik <email address hidden>
Date: Thu Nov 10 14:18:37 2016 +0300

    Provide a flag that mark existence of provider network

    Puppet provider does not detect presence of provider network
    'admin_floating_net' and tries to create it on each deployment run.
    Introduce flag that will mark that network exist.

    Change-Id: Idf02399bef4cff4d9dcfa0f3f68f5e70466f4a87
    Closes-bug: #1626927

Changed in fuel-plugin-nsx-t:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/396650
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-nsx-t/commit/?id=867225a879aee7927bce7cfcf28fadcc3c8dfe81
Submitter: Jenkins
Branch: master

commit 867225a879aee7927bce7cfcf28fadcc3c8dfe81
Author: Igor Zinovik <email address hidden>
Date: Fri Nov 11 17:25:49 2016 +0300

    Add data structure to try_get_value() call

    Change-Id: I0aa204860ed782d2f2b4f548d804baa2dcd13021
    Related-bug: #1626927

Reviewed: https://review.openstack.org/397108
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-nsx-t/commit/?id=20284eae2adb3bf4a2577d8944ae31ce86730cee
Submitter: Jenkins
Branch: master

commit 20284eae2adb3bf4a2577d8944ae31ce86730cee
Author: Igor Zinovik <email address hidden>
Date: Mon Nov 14 13:06:32 2016 +0300

    Lookup hiera data for 'skip_provider_network' flag

    Change-Id: I23d308b8a3557e61bb1fc874f2d783414d55f082
    Closes-bug: #1626927

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers